Topic: php-pecl-apc in EPEL Repo

Hi Remi,

I wonder if you would be willing to update the version of APC in the EPEL repository. The 3.0.x series was last updated in 2008, and so is quite stale. The 3.1.x series is now considered stable and supports PHP 5.3.

An update would be great!

Thanks for all your contributions.

Re: php-pecl-apc in EPEL Repo

EL-6 have php 5.3.2 and APC 3.1.3
EL-5 have php 5.1.6 and APC 3.0.19

I don't think I can update version in EL-5 to be greater than the version in EL-6 (and I don't think 3.1.3 is a great one...)
Version for EL-5 is in EPEL (I maintain it)
Version for EL-6 is in RHEL (so, is now maintained by redhat)

But, you can always find the latest version in my repository (php 5.3.6, APC 3.1.9)

Laptop:  Fedora 40 + rpmfusion + remi (SCL only)
x86_64 builder: Fedora 39 + rpmfusion + remi-test
aarch64 builder: RHEL 9 with EPEL
Hosting Server: AlmaLinux 8 with EPEL, rpmfusion, remi

Re: php-pecl-apc in EPEL Repo

RHEL/CentOS 5.6 now have PHP 5.3 in the php53 package, so it would be nice to have the compatible version of APC in the EPEL-5 repo. Thanks.

4 (edited by artagesw 2011-06-13 16:20:51)

Re: php-pecl-apc in EPEL Repo

So, the standard naming convention for php 5.3 packages in RHEL/CentOS is to prepend "php53-" to the package name so there are no conflicts. You could add the latest APC to the EPEL5 repo as "php53-pecl-apc-3.1.9-1.el5.rpm."  Please?  smile

Re: php-pecl-apc in EPEL Repo

I don't plan to submit php53-pecl-apc for review for EPEL-5, mainly because it will requires not a single package but a lot of (at least php53-pear, and some others)

If you need a complete updated LAMP stack, you should either
- upgrade to EL-6
- use the remi repository

I really think the php53 packages are a poor answer from redhat.

Laptop:  Fedora 40 + rpmfusion + remi (SCL only)
x86_64 builder: Fedora 39 + rpmfusion + remi-test
aarch64 builder: RHEL 9 with EPEL
Hosting Server: AlmaLinux 8 with EPEL, rpmfusion, remi

Re: php-pecl-apc in EPEL Repo

Unfortunately, it is not possible for us to upgrade to EL-6 or utilize other external repos. Thanks.

7 (edited by Brandon_Roth 2014-12-02 11:33:53)

Re: php-pecl-apc in EPEL Repo

Good to ask this kind of question.I will be having private messages once i deal with anyone in here..

8 (edited by Verdie7458 2014-01-20 09:16:15)

Re: php-pecl-apc in EPEL Repo

Thanks for sharing.



http://www.checkerplagiarism.net/